Bug 1393200 - [abrt] epiphany-runtime: gdk_wayland_window_attach_image(): epiphany killed by SIGABRT: TAINTED
Summary: [abrt] epiphany-runtime: gdk_wayland_window_attach_image(): epiphany killed b...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4a7b22b5ecfa0003c294f596003...
Keywords: Reopened
: 1388436 1394071 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-09 05:26 UTC by Han Han
Modified: 2016-11-30 05:29 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-30 05:29:35 UTC


Attachments (Terms of Use)
File: backtrace (151.57 KB, text/plain)
2016-11-09 05:26 UTC, Han Han
no flags Details
File: cgroup (259 bytes, text/plain)
2016-11-09 05:27 UTC, Han Han
no flags Details
File: core_backtrace (8.18 KB, text/plain)
2016-11-09 05:27 UTC, Han Han
no flags Details
File: dso_list (14.60 KB, text/plain)
2016-11-09 05:27 UTC, Han Han
no flags Details
File: environ (1.22 KB, text/plain)
2016-11-09 05:27 UTC, Han Han
no flags Details
File: limits (1.29 KB, text/plain)
2016-11-09 05:27 UTC, Han Han
no flags Details
File: maps (77.53 KB, text/plain)
2016-11-09 05:27 UTC, Han Han
no flags Details
File: mountinfo (3.48 KB, text/plain)
2016-11-09 05:27 UTC, Han Han
no flags Details
File: namespaces (102 bytes, text/plain)
2016-11-09 05:27 UTC, Han Han
no flags Details
File: open_fds (6.14 KB, text/plain)
2016-11-09 05:27 UTC, Han Han
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2016-11-09 05:27 UTC, Han Han
no flags Details
File: var_log_messages (299 bytes, text/plain)
2016-11-09 05:27 UTC, Han Han
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 773274 None None None 2016-11-09 05:47 UTC

Description Han Han 2016-11-09 05:26:50 UTC
Description of problem:


Version-Release number of selected component:
epiphany-runtime-3.22.1-1.fc26

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        epiphany http://galex.stsci.edu/GR2/?page=mastform
crash_function: gdk_wayland_window_attach_image
executable:     /usr/bin/epiphany
global_pid:     15403
kernel:         4.9.0-0.rc3.git1.1.fc26.x86_64
pkg_fingerprint: 812A 6B4B 64DA B85D
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 gdk_wayland_window_attach_image at gdkwindow-wayland.c:742
 #5 gdk_window_impl_wayland_end_paint at gdkwindow-wayland.c:910
 #6 gdk_window_end_paint_internal at gdkwindow.c:3000
 #7 gdk_window_end_draw_frame at gdkwindow.c:3268
 #8 gtk_widget_render at gtkwidget.c:17502
 #9 gtk_main_do_event at gtkmain.c:1813
 #10 _gdk_event_emit at gdkevents.c:73
 #11 _gdk_window_process_updates_recurse_helper at gdkwindow.c:3831
 #12 gdk_window_process_updates_internal at gdkwindow.c:3977
 #13 gdk_window_process_updates_with_mode at gdkwindow.c:4174

Comment 1 Han Han 2016-11-09 05:26:58 UTC
Created attachment 1218807 [details]
File: backtrace

Comment 2 Han Han 2016-11-09 05:27:00 UTC
Created attachment 1218808 [details]
File: cgroup

Comment 3 Han Han 2016-11-09 05:27:02 UTC
Created attachment 1218809 [details]
File: core_backtrace

Comment 4 Han Han 2016-11-09 05:27:05 UTC
Created attachment 1218810 [details]
File: dso_list

Comment 5 Han Han 2016-11-09 05:27:06 UTC
Created attachment 1218811 [details]
File: environ

Comment 6 Han Han 2016-11-09 05:27:08 UTC
Created attachment 1218812 [details]
File: limits

Comment 7 Han Han 2016-11-09 05:27:10 UTC
Created attachment 1218813 [details]
File: maps

Comment 8 Han Han 2016-11-09 05:27:12 UTC
Created attachment 1218814 [details]
File: mountinfo

Comment 9 Han Han 2016-11-09 05:27:14 UTC
Created attachment 1218815 [details]
File: namespaces

Comment 10 Han Han 2016-11-09 05:27:16 UTC
Created attachment 1218816 [details]
File: open_fds

Comment 11 Han Han 2016-11-09 05:27:17 UTC
Created attachment 1218817 [details]
File: proc_pid_status

Comment 12 Han Han 2016-11-09 05:27:19 UTC
Created attachment 1218818 [details]
File: var_log_messages

Comment 13 Tomas Popela 2016-11-09 05:47:23 UTC
Will be fixed with gtk3 3.22.3 update.

Comment 14 Tomas Popela 2016-11-11 06:04:54 UTC
*** Bug 1394071 has been marked as a duplicate of this bug. ***

Comment 15 Adam Williamson 2016-11-11 06:45:23 UTC
well, as things stand we'll ship F25 with the bug, which seems a bit unfortunate...

Comment 16 Michael Catanzaro 2016-11-11 12:47:26 UTC
What's the impact of the bug? Does it just always crash?

Comment 17 Adam Williamson 2016-11-13 06:30:09 UTC
well yeah, but that means you can't actually forward or edit-as-new whatever it was you were trying to forward or edit-as-new. I guess we can just hope no-one notices before the first update (or needs to use it from the live image).

Comment 18 Michael Catanzaro 2016-11-13 15:59:36 UTC
Freeze exception? We have an entire extra week. I'd almost rather have the week to discover if GTK+ 3.22.3 breaks anything, anyway, instead of having it as a zero-day update....

Comment 19 Adam Williamson 2016-11-13 16:28:50 UTC
if we're going to do an FE I'd want it to be a build with just the specific fix for this backported, after a week's slip we can't really just be throwing in new point releases of stuff willy-nilly. If you'd rather not do that, we can just make it a 0-day.

Comment 20 Michael Catanzaro 2016-11-14 13:12:18 UTC
If Epiphany is crashing on start or Evolution is crashing whenever you forward a mail -- I'm still not clear on the impact -- then I think it'd be great to do a FE build with the patch for that issue.

Comment 21 Adam Williamson 2016-11-14 16:03:44 UTC
It's when you forward or edit-as-new any message with specific properties, I think. I'll try and find time to look into it a bit more by the time we do the next candidate  compose.

Comment 22 Michael Catanzaro 2016-11-23 02:02:02 UTC
*** Bug 1388436 has been marked as a duplicate of this bug. ***

Comment 23 Michael Catanzaro 2016-11-23 02:18:14 UTC
(In reply to Adam Williamson from comment #21)
> It's when you forward or edit-as-new any message with specific properties, I
> think. I'll try and find time to look into it a bit more by the time we do
> the next candidate  compose.

Seems it's a race condition that causes Epiphany to frequently crash on start. It just crashed for me eight times in a row. Shame we did not get this into a FE. :(

Comment 24 Adam Williamson 2016-11-24 17:47:28 UTC
was I getting the wrong bug with my comments? I seem to have been talking about an Evolution bug. Or was the same thing somehow affecting the Evolution (webkit) composer? I dunno. I get pretty tired in release week. :/

Comment 25 Michael Catanzaro 2016-11-27 15:39:10 UTC
(In reply to Adam Williamson from comment #24)
> was I getting the wrong bug with my comments? I seem to have been talking
> about an Evolution bug. Or was the same thing somehow affecting the
> Evolution (webkit) composer? I dunno. I get pretty tired in release week. :/

Yes, same bug affects Epiphany and Evolution. I just had Epiphany crash on start at least 15 times in a row -- not even exaggerating -- on this. There is still no update for this in Bodhi, we're still on GTK+ 3.22.2 even though 3.22.4 has been released upstream.

Since this is such a major crasher, I think we need to track it downstream until the next GTK+ update is prepared. I guess it will be in the next GNOME megaupdate? We're a few weeks behind on all GNOME of GNOME and also WebKitGTK+ right now.

Comment 26 Kalev Lember 2016-11-28 10:56:29 UTC
gtk3 3.22.4 update is in updates-testing if anyone wants to give this a try.

Comment 27 Fedora Update System 2016-11-28 11:05:46 UTC
aisleriot-3.22.1-1.fc25 baobab-3.22.1-1.fc25 epiphany-3.22.3-1.fc25 evolution-3.22.2-1.fc25 evolution-data-server-3.22.2-1.fc25 evolution-ews-3.22.2-1.fc25 file-roller-3.22.2-1.fc25 five-or-more-3.22.2-1.fc25 four-in-a-row-3.22.1-1.fc25 glib2-2.50.2-1.fc25 gnome-boxes-3.22.3-1.fc25 gnome-calculator-3.22.2-1.fc25 gnome-chess-3.22.2-1.fc25 gnome-color-manager-3.22.2-1.fc25 gnome-desktop3-3.22.2-1.fc25 gnome-disk-utility-3.22.1-1.fc25 gnome-klotski-3.22.1-1.fc25 gnome-maps-3.22.2-1.fc25 gnome-mines-3.22.2-1.fc25 gnome-music-3.22.2-1.fc25 gnome-nibbles-3.22.2.2-1.fc25 gnome-online-accounts-3.22.2-1.fc25 gnome-photos-3.22.2-1.fc25 gnome-power-manager-3.22.2-1.fc25 gnome-robots-3.22.1-1.fc25 gnome-session-3.22.2-1.fc25 gnome-shell-3.22.2-2.fc25 gnome-shell-extensions-3.22.2-1.fc25 gnome-software-3.22.2-1.fc25 gnome-sudoku-3.22.2-1.fc25 gnome-system-monitor-3.22.2-1.fc25 gspell-1.2.1-1.fc25 gtk-doc-1.25-2.fc25 gtk3-3.22.4-1.fc25 gtksourceview3-3.22.1-1.fc25 gucharmap-9.0.2-1.fc25 gupnp-tools-0.8.13-1.fc25 gvfs-1.30.2-1.fc25 libappstream-glib-0.6.5-1.fc25 libgdata-0.17.6-3.fc25 lightsoff-3.22.2-1.fc25 mutter-3.22.2-1.fc25 orca-3.22.2-1.fc25 polari-3.22.2-1.fc25 swell-foop-3.22.2-1.fc25 vala-0.34.3-1.fc25 webkitgtk4-2.14.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5522a26f9b

Comment 28 Fedora Update System 2016-11-30 05:29:35 UTC
aisleriot-3.22.1-1.fc25, baobab-3.22.1-1.fc25, epiphany-3.22.3-1.fc25, evolution-3.22.2-1.fc25, evolution-data-server-3.22.2-1.fc25, evolution-ews-3.22.2-1.fc25, file-roller-3.22.2-1.fc25, five-or-more-3.22.2-1.fc25, four-in-a-row-3.22.1-1.fc25, glib2-2.50.2-1.fc25, gnome-boxes-3.22.3-1.fc25, gnome-calculator-3.22.2-1.fc25, gnome-chess-3.22.2-1.fc25, gnome-color-manager-3.22.2-1.fc25, gnome-desktop3-3.22.2-1.fc25, gnome-disk-utility-3.22.1-1.fc25, gnome-klotski-3.22.1-1.fc25, gnome-maps-3.22.2-1.fc25, gnome-mines-3.22.2-1.fc25, gnome-music-3.22.2-1.fc25, gnome-nibbles-3.22.2.2-1.fc25, gnome-online-accounts-3.22.2-1.fc25, gnome-photos-3.22.2-1.fc25, gnome-power-manager-3.22.2-1.fc25, gnome-robots-3.22.1-1.fc25, gnome-session-3.22.2-1.fc25, gnome-shell-3.22.2-2.fc25, gnome-shell-extensions-3.22.2-1.fc25, gnome-software-3.22.2-1.fc25, gnome-sudoku-3.22.2-1.fc25, gnome-system-monitor-3.22.2-1.fc25, gspell-1.2.1-1.fc25, gtk-doc-1.25-2.fc25, gtk3-3.22.4-1.fc25, gtksourceview3-3.22.1-1.fc25, gucharmap-9.0.2-1.fc25, gupnp-tools-0.8.13-1.fc25, gvfs-1.30.2-1.fc25, libappstream-glib-0.6.5-1.fc25, libgdata-0.17.6-3.fc25, lightsoff-3.22.2-1.fc25, mutter-3.22.2-1.fc25, orca-3.22.2-1.fc25, polari-3.22.2-1.fc25, swell-foop-3.22.2-1.fc25, vala-0.34.3-1.fc25, webkitgtk4-2.14.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.